DefaultQuotingAppendable (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.translator.select, class: DefaultQuotingAppendable

# Class DefaultQuotingAppendable

java.lang.Object
org.apache.cayenne.access.sqlbuilder.StringBuilderAppendable
org.apache.cayenne.access.translator.select.DefaultQuotingAppendable

All Implemented Interfaces:
  `Appendable, QuotingAppendable`

public class DefaultQuotingAppendable extends StringBuilderAppendable

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class StringBuilderAppendable

  `builder`
  Modifier and Type
  Field
  Description
  `protected final StringBuilder`
  `builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultQuotingAppendable(SQLGenerationContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `appendQuoted(CharSequence content)`
  `SQLGenerationContext`
  `getContext()`

  ### Methods inherited from class StringBuilderAppendable

  `append, append, append, append, toString, unwrap`
  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `append(char c)`
  `QuotingAppendable`
  `append(int c)`
  `QuotingAppendable`
  `append(CharSequence csq)`
  `QuotingAppendable`
  `append(CharSequence csq, int start, int end)`
  `String`
  `toString()`
  `StringBuilder`
  `unwrap()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultQuotingAppendable

    public DefaultQuotingAppendable(SQLGenerationContext context)

- ## Method Details

  - ### appendQuoted

    public QuotingAppendable appendQuoted(CharSequence content)
    Specified by:
      `appendQuoted` in interface `QuotingAppendable`
    Overrides:
      `appendQuoted` in class `StringBuilderAppendable`

  - ### getContext

    public SQLGenerationContext getContext()
    Specified by:
      `getContext` in interface `QuotingAppendable`
    Overrides:
      `getContext` in class `StringBuilderAppendable`